For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves the data overrides for a database
          • POSTCreate/Update OR Delete transformed data overrides for a specific export in a database. A primary key must be set for the database.
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformData Overrides

Create/Update OR Delete transformed data overrides for a specific export in a database. A primary key must be set for the database.

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/transformed_data_overrides/:export_id
POST
/api.php/dbs/:db_id/transformed_data_overrides/:export_id
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1/transformed_data_overrides/1 \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data_row_id": "2",
> "join_value": "10001",
> "override_field": "description",
> "override_value": "Unisex / One size fits all"
>}'
1{
2 "status": "success",
3 "data": {
4 "row_added": 2,
5 "transaction_id": 6,
6 "tdos_ignored": 0
7 }
8}
Was this page helpful?
Previous

Retrieves the data overrides for a database

Next

Retrieves a list of transformers for a database

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database to get transformed data from
export_idintegerRequired

ID of the export to add transformed data to (0 if all)

Headers

x-api-keystringRequired

Request

Create/Update or Delete transformed data overrides (TDOs)

data_row_idstringRequired
The id of the TDO
join_valuestringRequired

The value of the primary-key-column in the target data row

override_fieldstringRequired
The target column to override
override_valuestringRequired
The value that column will be set to
deletebooleanOptional

Set to ‘true’ to specify deletion of given TDO. Note: deletes and creates/updates must be done in separate requests.

Response

Success
row_addeddouble

The count of TDOs successfully created and/or updated

tdos_ignoreddouble

The count of TDOs ignored in this request due to the override_field being empty or not matching an export field

Errors

400
Bad Request Error